package com.goldenwater.slgc.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slgc.domain.RelResBas;
import com.goldenwater.slgc.mapper.RelResBasMapper;
import com.goldenwater.slgc.service.RelResBasService;

/** 水库基本信息关联 业务实现 */
@Service
public class RelResBasServiceImpl implements RelResBasService {
    @Autowired
    private RelResBasMapper relResBasMapper;

    @Override
    public List<RelResBas> selectRelResBasList(RelResBas relResBas) {
        return relResBasMapper.selectRelResBasList(relResBas);
    }

    @Override
    public RelResBas selectRelResBasById(RelResBas relResBas) {
        return relResBasMapper.selectRelResBasById(relResBas);
    }

    @Override
    public int deleteRelResBasById(RelResBas relResBas) {
        return relResBasMapper.deleteRelResBasById(relResBas);
    }

    @Override
    public int insertRelResBas(RelResBas relResBas) {
        return relResBasMapper.insertRelResBas(relResBas);
    }

    @Override
    public int updateRelResBas(RelResBas relResBas) {
        return relResBasMapper.updateRelResBas(relResBas);
    }
}
